<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.system.expand.mapper.WxConfMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="wxConfResultMap" type="org.springblade.system.expand.entity.WxConf">
        <id column="id" property="id"/>
        <result column="app_type" property="appType"/>
        <result column="mini_app_id" property="miniAppId"/>
        <result column="mini_app_secret" property="miniAppSecret"/>
        <result column="name" property="name"/>
        <result column="applet_type" property="appletType"/>
    </resultMap>


    <select id="selectWxConfPage" resultMap="wxConfResultMap">
        select * from system_wx_conf where is_deleted = 0
    </select>

</mapper>
